Passer au contenu principal
POST
/api/v1/image/generations

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

En-têtes

Accept-Encoding
string

Supported compression encodings (gzip, br).

Exemple:

"gzip, br"

Corps

application/json
prompt
string
requis

A text description of the desired image.

Required string length: 1 - 1500
Exemple:

"A beautiful sunset over mountain ranges"

background
enum<string> | null
défaut:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Options disponibles:
transparent,
opaque,
auto
Exemple:

"auto"

model
string
défaut:default

The model to use for image generation. Defaults to Venice's default image model. If a non-existent model is specified (ie an OpenAI model name), it will default to Venice's default image model.

Exemple:

"grok-imagine-image"

moderation
enum<string> | null
défaut:auto

auto enables safe venice mode which will blur out adult content. low disables safe venice mode.

Options disponibles:
low,
auto
Exemple:

"auto"

n
integer | null
défaut:1

Number of images to generate. Venice presently only supports 1 image per request.

Plage requise: 1 <= x <= 1
Exemple:

1

output_compression
integer | null
défaut:100

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Plage requise: 0 <= x <= 100
output_format
enum<string>
défaut:png

Output format for generated images

Options disponibles:
jpeg,
png,
webp
Exemple:

"png"

quality
enum<string> | null
défaut:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Options disponibles:
auto,
high,
medium,
low,
hd,
standard
Exemple:

"auto"

response_format
enum<string> | null
défaut:b64_json

Response format. URL will be a data URL.

Options disponibles:
b64_json,
url
Exemple:

"b64_json"

size
enum<string> | null
défaut:auto

Size of generated images. Default is 1024x1024

Options disponibles:
auto,
256x256,
512x512,
1024x1024,
1536x1024,
1024x1536,
1792x1024,
1024x1792
Exemple:

"1024x1024"

style
enum<string> | null
défaut:natural

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Options disponibles:
vivid,
natural
Exemple:

"natural"

user
string

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Exemple:

"user123"

Réponse

Successfully generated image

created
integer
requis

Unix timestamp for when the request was created

Exemple:

1713833628

data
object[]
requis